%global debug_package %{nil}

Name: python-podman-compose
Epoch: 100
Version: 1.0.3
Release: 1%{?dist}
BuildArch: noarch
Summary: Run docker-compose.yml using podman
License: GPL-2.0-only
URL: https://github.com/pallets/podman-compose/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
An implementation of docker-compose with podman backend. The main
objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-podman-compose
Summary: Run docker-compose.yml using podman
Requires: python3
Requires: python3-python-dotenv
Requires: python3-PyYAML
Provides: python3-podman-compose = %{epoch}:%{version}-%{release}
Provides: python3dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(podman-compose) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-podman-compose
An implementation of docker-compose with podman backend. The main
objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%files -n python%{python3_version_nodots}-podman-compose
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-podman-compose
Summary: Run docker-compose.yml using podman
Requires: python3
Requires: python3-python-dotenv
Requires: python3-PyYAML
Provides: python3-podman-compose = %{epoch}:%{version}-%{release}
Provides: python3dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(podman-compose) = %{epoch}:%{version}-%{release}

%description -n python3-podman-compose
An implementation of docker-compose with podman backend. The main
objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%files -n python3-podman-compose
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n podman-compose
Summary: Run docker-compose.yml using podman
Requires: python3
Requires: python3-dotenv
Requires: python3-pyyaml
Provides: python3-podman-compose = %{epoch}:%{version}-%{release}
Provides: python3dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(podman-compose) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-podman-compose = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(podman-compose) = %{epoch}:%{version}-%{release}

%description -n podman-compose
An implementation of docker-compose with podman backend. The main
objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%files -n podman-compose
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%changelog
